Bug #1205

Ubuntu 11.10 & opennebula-3.3.80 src tarball

Added by Marcelo Batista almost 8 years ago. Updated over 7 years ago.

Status:ClosedStart date:04/05/2012
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:Core & System
Target version:Release 3.6
Resolution:worksforme Pull request:
Affected Versions:OpenNebula 3.2

Description

Hi all,

While Im using scons to compile the source of Opennebula 3.3.80 in Ubuntu 11.10 I got this error:

  1. scons mysql=yes -j2

...
g++ -o src/nebula/oned -lpthread -g -pthread -Wl,-Bsymbolic-functions src/nebula/oned.o -Lsrc/common -Lsrc/log -Lsrc/sql -Lsrc/host -Lsrc/cluster -Lsrc/datastore -Lsrc/group -Lsrc/mad -Lsrc/nebula -Lsrc/pool -Lsrc/template -Lsrc/vm -Lsrc/vm_template -Lsrc/vmm -Lsrc/lcm -Lsrc/tm -Lsrc/dm -Lsrc/im -Lsrc/image -Lsrc/rm -Lsrc/vnm -Lsrc/hm -Lsrc/um -Lsrc/authm -Lsrc/acl -Lsrc/xml -L/usr/lib/mysql -L/usr/lib -L/usr/lib/x86_64-linux-gnu -lnebula_core -lnebula_vmm -lnebula_lcm -lnebula_im -lnebula_hm -lnebula_rm -lnebula_dm -lnebula_tm -lnebula_um -lnebula_datastore -lnebula_group -lnebula_authm -lnebula_acl -lnebula_mad -lnebula_template -lnebula_image -lnebula_pool -lnebula_host -lnebula_cluster -lnebula_vnm -lnebula_vm -lnebula_vmtemplate -lnebula_common -lnebula_sql -lnebula_log -lnebula_xml -lcrypto -lsqlite3 -lmysqlclient -lxmlrpc_client++ -lxmlrpc_client -lcurl -lxmlrpc_packetsocket -lxml2 -lxmlrpc_server_abyss++ -lxmlrpc_server++ -lxmlrpc_server_abyss -lxmlrpc_server -lxmlrpc_abyss -lpthread -lxmlrpc++ -lxmlrpc -lxmlrpc_util -lxmlrpc_xmlparse -lxmlrpc_xmltok
ar rc src/scheduler/src/client/libscheduler_client.a src/scheduler/src/client/Client.o
ranlib src/scheduler/src/client/libscheduler_client.a
g++ -o src/scheduler/src/pool/AclXML.o -c -fno-strict-aliasing -rdynamic -g -Wall -DSQLITE_DB -DMYSQL_DB -DBIG_JOINS=1 -DUNIV_LINUX -Iinclude -I/usr/include/mysql -I/usr/include -I/usr/include/libxml2 -Isrc/scheduler/include src/scheduler/src/pool/AclXML.cc
src/rm/libnebula_rm.a(RequestManager.o): In function `rm_xml_server_loop':
/home/admins/opennebula-3.3.80/src/rm/RequestManager.cc:92: undefined reference to `xmlrpc_c::serverAbyss::constrOpt::~constrOpt()'
/home/admins/opennebula-3.3.80/src/rm/RequestManager.cc:92: undefined reference to `xmlrpc_c::serverAbyss::constrOpt::~constrOpt()'
collect2: ld returned 1 exit status
scons: *** [src/nebula/oned] Error 1
scons: building terminated because of errors.
root@server01:/home/admins/opennebula-3.3.80# less src/rm/libnebula_rm.a
root@server01:/home/admins/opennebula-3.3.80# grep -ri "rm_xml_server_loop" *
...

I don't understand about serverAbyss and I dont know how to fix this! Someone can help me?
Im doing something wrong before compile?

ii libxmlrpc-c3-0 1.16.32-0ubuntu4
ii libxmlrpc-c3-dev 1.16.32-0ubuntu4
ii libxmlrpc-core-c3-0 1.16.32-0ubuntu4
ii libxmlrpc-core-c3-dev 1.16.32-0ubuntu4
ii scons 2.0.1-2
ii libruby 4.8
ii libruby1.8 1.8.7.352-2ubuntu0.1
ii libsqlite3-ruby 1.3.3-1
ii libsqlite3-ruby1.8 1.3.3-1
ii rake 0.8.7-2ubuntu1
ii ruby 4.8
ii ruby1.8 1.8.7.352-2ubuntu0.1
ii ruby1.8-dev 1.8.7.352-2ubuntu0.1
ii rubygems 1.7.2-1
ii g++ 4:4.6.1-2ubuntu5
ii g++-4.6 4.6.1-9ubuntu3
ii flex 2.5.35-10ubuntu1
ii bison 1:2.4.1.dfsg-3
ii libxml2 2.7.8.dfsg-4ubuntu0.2
ii libxml2-dev 2.7.8.dfsg-4ubuntu0.2
ii libxml2-utils 2.7.8.dfsg-4ubuntu0.2

  1. ./install_gems
    Gems already installed

gem install
ruby-dev
rake
xmlparser
...

History

#1 Updated by Ruben S. Montero over 7 years ago

  • Target version set to Release 3.6

#2 Updated by Ruben S. Montero over 7 years ago

  • Status changed from New to Closed
  • Resolution set to worksforme

Pakages are now built for Ubuntu 12.04 and Ubuntu 11.10. This should be ok by now. Closing.

Also available in: Atom PDF